Pular para o conteúdo principal
GET
/
api
/
v1
/
llm
/
files
/
{file_id}
Python (SDK)
from openapi import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.llm.files.get(file_id="file-abc123")

    # Handle response
    print(res)
{
  "id": "file-abc123",
  "object": "file",
  "bytes": 125000,
  "created_at": 1704067200,
  "filename": "product-manual.pdf",
  "purpose": "assistants",
  "status": "processed"
}

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Parâmetros de caminho

file_id
string
obrigatório

Resposta

200 - application/json

OK

id
string
obrigatório

O identificador do arquivo

bytes
integer
obrigatório

O tamanho do arquivo em bytes

Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
created_at
integer
obrigatório

Timestamp Unix quando o arquivo foi criado

Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
filename
string
obrigatório

O nome do arquivo

purpose
enum<string>
obrigatório

O propósito pretendido do arquivo

Opções disponíveis:
assistants,
batch,
fine-tune,
vision,
user_data,
evals
object
any
padrão:file
expires_at
integer | null

Timestamp Unix quando o arquivo expira

Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
status
enum<string>

OBSOLETO: Status de processamento de arquivo

Opções disponíveis:
uploaded,
processed,
error
status_details
string

OBSOLETO: Detalhes sobre o status do arquivo